Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Python Help?

  1. #1

    ThePrimeOfAllPrimes's Avatar
    Joined
    Apr 2016
    Posts
    135
    Userbars
    2
    Thanks
    7
    Thanked
    12/11
    DL/UL
    5/0
    Mentioned
    19 times
    Time Online
    2d 1h 5m
    Avg. Time Online
    1m

    Python Help?

    Need some help installing pgoapi from pip

    Stay down, you do not want to get up.

  2. #2
    Accelerator's Avatar
    Joined
    Jul 2013
    Posts
    4,996
    Userbars
    26
    Thanks
    1,986
    Thanked
    3,725/1,643
    DL/UL
    178/0
    Mentioned
    743 times
    Time Online
    335d 1h 18m
    Avg. Time Online
    2h 20m
    Quote Originally Posted by ThePrimeOfAllPrimes View Post
    Need some help installing pgoapi from pip

    Stay down, you do not want to get up.
    Did you follow the instructions from (you need an account to see links)?
    Edit: Alternatively, just download & install (you need an account to see links)
    And then run
    Code:
    pip install -e git://github.com/tejado/pgoapi.git#egg=pgoapi
    Last edited by Accelerator; 08-14-2016 at 11:40 AM.

    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)

    "Date et dabitur vobis"
    「Let's fight 恐れはない」


    "A quantum supercomputer calculating for a thousand years could not even approach the number of f∑∑ks I do not give"

    「君が望むモノは何?」

  3. The Following User Says Thank You to Accelerator For This Useful Post:

    ThePrimeOfAllPrimes (08-14-2016)

  4. #3

    ThePrimeOfAllPrimes's Avatar
    Joined
    Apr 2016
    Posts
    135
    Userbars
    2
    Thanks
    7
    Thanked
    12/11
    DL/UL
    5/0
    Mentioned
    19 times
    Time Online
    2d 1h 5m
    Avg. Time Online
    1m
    Quote Originally Posted by Accelerator View Post
    Did you follow the instructions from (you need an account to see links)?
    Edit: Alternatively, just download & install (you need an account to see links)
    And then run
    Code:
    pip install -e git://github.com/tejado/pgoapi.git#egg=pgoapi
    Do I run it from git or pip?

    Stay down, you do not want to get up.

  5. #4
    Accelerator's Avatar
    Joined
    Jul 2013
    Posts
    4,996
    Userbars
    26
    Thanks
    1,986
    Thanked
    3,725/1,643
    DL/UL
    178/0
    Mentioned
    743 times
    Time Online
    335d 1h 18m
    Avg. Time Online
    2h 20m
    Quote Originally Posted by ThePrimeOfAllPrimes View Post
    Do I run it from git or pip?

    Stay down, you do not want to get up.
    Neither; cmd/command prompt.
    The command I posted is basically pip, but it needs to clone a repository from github so you need to have git installed.
    Last edited by Accelerator; 08-14-2016 at 03:53 PM.

    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)

    "Date et dabitur vobis"
    「Let's fight 恐れはない」


    "A quantum supercomputer calculating for a thousand years could not even approach the number of f∑∑ks I do not give"

    「君が望むモノは何?」

  6. The Following User Says Thank You to Accelerator For This Useful Post:

    ThePrimeOfAllPrimes (08-14-2016)

  7. #5

    ThePrimeOfAllPrimes's Avatar
    Joined
    Apr 2016
    Posts
    135
    Userbars
    2
    Thanks
    7
    Thanked
    12/11
    DL/UL
    5/0
    Mentioned
    19 times
    Time Online
    2d 1h 5m
    Avg. Time Online
    1m
    Quote Originally Posted by Accelerator View Post
    Neither; cmd/command prompt.
    If I don't run it from python27/scripts, pip isn't a valid command

    Edit: I had the - in the wrong place. It works now. Thanks!

    Edit: Maybe not.

    Stay down, you do not want to get up.
    Last edited by ThePrimeOfAllPrimes; 08-14-2016 at 04:18 PM.

  8. #6
    Accelerator's Avatar
    Joined
    Jul 2013
    Posts
    4,996
    Userbars
    26
    Thanks
    1,986
    Thanked
    3,725/1,643
    DL/UL
    178/0
    Mentioned
    743 times
    Time Online
    335d 1h 18m
    Avg. Time Online
    2h 20m
    Quote Originally Posted by ThePrimeOfAllPrimes View Post
    If I don't run it from python27/scripts, pip isn't a valid command

    Stay down, you do not want to get up.
    That's cause you didn't add python scripts to PATH (or didn't do it correctly)
    Code:
    setx PATH "%PATH%;C:\Python27\Scripts"
    (can't remember if you need admin privileges for that, but you probably do.)

    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)

    "Date et dabitur vobis"
    「Let's fight 恐れはない」


    "A quantum supercomputer calculating for a thousand years could not even approach the number of f∑∑ks I do not give"

    「君が望むモノは何?」

  9. The Following User Says Thank You to Accelerator For This Useful Post:

    ThePrimeOfAllPrimes (08-14-2016)

  10. #7

    ThePrimeOfAllPrimes's Avatar
    Joined
    Apr 2016
    Posts
    135
    Userbars
    2
    Thanks
    7
    Thanked
    12/11
    DL/UL
    5/0
    Mentioned
    19 times
    Time Online
    2d 1h 5m
    Avg. Time Online
    1m
    Quote Originally Posted by Accelerator View Post
    That's cause you didn't add python scripts to PATH (or didn't do it correctly)
    Code:
    setx PATH "%PATH%;C:\Python27\Scripts"
    (can't remember if you need admin privileges for that, but you probably do.)


    Stay down, you do not want to get up.

  11. #8
    Accelerator's Avatar
    Joined
    Jul 2013
    Posts
    4,996
    Userbars
    26
    Thanks
    1,986
    Thanked
    3,725/1,643
    DL/UL
    178/0
    Mentioned
    743 times
    Time Online
    335d 1h 18m
    Avg. Time Online
    2h 20m
    Quote Originally Posted by ThePrimeOfAllPrimes View Post


    Stay down, you do not want to get up.
    I got that error once when I had pgoapi already installed.
    try
    Code:
    pip uninstall pgoapi
    and then
    Code:
    pip install -e git://github.com/tejado/pgoapi.git#egg=pgoapi
    again?
    Did you install git with the default options?

    Edit:
    You missed/forgot
    pip install -e git://github.com/tejado/pgoapi.git#egg=pgoapi
    Y U NO BROWSE cK ON YOUR PC AND C&P (?)
    Last edited by Accelerator; 08-14-2016 at 04:37 PM.

    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)

    "Date et dabitur vobis"
    「Let's fight 恐れはない」


    "A quantum supercomputer calculating for a thousand years could not even approach the number of f∑∑ks I do not give"

    「君が望むモノは何?」

  12. The Following User Says Thank You to Accelerator For This Useful Post:

    ThePrimeOfAllPrimes (08-14-2016)

  13. #9

    ThePrimeOfAllPrimes's Avatar
    Joined
    Apr 2016
    Posts
    135
    Userbars
    2
    Thanks
    7
    Thanked
    12/11
    DL/UL
    5/0
    Mentioned
    19 times
    Time Online
    2d 1h 5m
    Avg. Time Online
    1m
    Quote Originally Posted by Accelerator View Post
    I got that error once when I had pgoapi already installed.
    try
    Code:
    pip uninstall pgoapi
    and then
    Code:
    pip install -e git://github.com/tejado/pgoapi.git#egg=pgoapi
    again?
    Did you install git with the default options?
    Edit:
    You missed
    pip install -e git://github.com/tejado/pgoapi.git#egg=pgoapi
    Y U NO BROWSE cK ON YOUR PC AND C&P (?)
    "Cannot uninstall requirement pgoapi, not installed"

    Stay down, you do not want to get up.

  14. #10
    Accelerator's Avatar
    Joined
    Jul 2013
    Posts
    4,996
    Userbars
    26
    Thanks
    1,986
    Thanked
    3,725/1,643
    DL/UL
    178/0
    Mentioned
    743 times
    Time Online
    335d 1h 18m
    Avg. Time Online
    2h 20m
    @(you need an account to see links) Read the latest rev. of my post

    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)
    (you need an account to see links)

    "Date et dabitur vobis"
    「Let's fight 恐れはない」


    "A quantum supercomputer calculating for a thousand years could not even approach the number of f∑∑ks I do not give"

    「君が望むモノは何?」

  15. The Following User Says Thank You to Accelerator For This Useful Post:

    ThePrimeOfAllPrimes (08-14-2016)

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •